Name: alterator-sdk
Version: 0.1.1
Release: alt0.M40.1

Summary: Alterator module simple development kit ;)
License: GPL
Group: Development/Other

Url: http://git.altlinux.org/people/mike/packages/?p=alterator-sdk.git
Source: %name-%version.tar
Packager: Michael Shigorin <mike@altlinux.org>

BuildArch: noarch

%define modulator init-alterator-module

%description
This package provides a simple alterator module template
and a script to rename/substitute the stub with the name
you chose for the module to be written; it's not any kind
of "wizard" at all but should spare some time on doing 
redundant work.

Any suggestions on template and processing as well as 
other contributions are of course welcome!

Recommended packages: git-core, tree

%prep
%setup

%install
sed -i 's,@TOOLNAME@,%name,g' %modulator
sed -i 's,@TEMPLATE@,%_datadir/%name/template,g' %modulator
install -pD -m755 %modulator %buildroot%_bindir/%modulator
install -d %buildroot%_datadir/%name
cp -a template %buildroot%_datadir/%name/

%files
%_bindir/*
%_datadir/%name/

# TODO:
# - fix&merge http://wiki.sisyphus.ru/Alterator/designer
# - add help for quite cryptic template functionality :)

%changelog
* Thu Nov 06 2008 Michael Shigorin <mike@altlinux.org> 0.1.1-alt0.M40.1
- built for M40

* Tue Apr 15 2008 Michael Shigorin <mike@altlinux.org> 0.1.1-alt1
- added Alterator/module wiki link, thanks inger@

* Fri Jan 25 2008 Michael Shigorin <mike@altlinux.org> 0.1-alt1
- initial re-release
- thanks Stanislav Ievlev (inger@) for reviewing a preceding attempt
  named alterator-kickstart and advising on current practices
  (plus some cleanups)
- differences from alterator-kickstart for those who tried it:
  + default template moved a subdir deeper (to leave space
    for any other future components, if any)
  + s/dummy/@module@/g
  + template fixes (spec/desktop files mostly)
  + script renamed to %modulator
  + symlink dropped on the cold hard floor
  + script reworked to use first (obligatory) parameter 
    as a module name and the rest (if any; or default string)
    as a description (used in spec and makefile)
  + mike@ should no longer be responsible for half of the modules
    started with this extension; papackagers, please write your own
    name in Packager/%%changelog if it's not set in ~/.rpmmacros :)
  + set desktop catogory to X-Alterator-Other (shows up as "Other")
- no Obsoletes:/Provides: on a purpose
- added Url:
